#include "drmfile_p.h"
#include "drmfile.h"

DRMFilePrivate::DRMFilePrivate()
{

}

DRMFilePrivate::~DRMFilePrivate()
{
    close();

}

int DRMFilePrivate::open(const QString & fileName)
{
    return -1;
}

int DRMFilePrivate::read(char* data, int length)
{
    return 0;
}

void DRMFilePrivate::close()
{

}

int DRMFilePrivate::size()
{
        return 0;
}

#ifdef SYMBIAN_ENABLE_64_BIT_FILE_SERVER_API
qint64 DRMFilePrivate::size64()
{
	return 0;
}
#endif

bool DRMFilePrivate::isDRMError(int error)
{
	bool result = false;
	return result;
}
